curl --request POST \
--url https://cool.jobmojito.com/functions/v1/merchant-position-duplicate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"position_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"target_merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"interview_location": "<string>",
"openings_total": 5000,
"country": "<string>",
"interview_available_till": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://cool.jobmojito.com/functions/v1/merchant-position-duplicate"
payload = {
"position_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"target_merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"interview_location": "<string>",
"openings_total": 5000,
"country": "<string>",
"interview_available_till": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
position_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
target_merchant_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
interview_location: '<string>',
openings_total: 5000,
country: '<string>',
interview_available_till: '2023-11-07T05:31:56Z'
})
};
fetch('https://cool.jobmojito.com/functions/v1/merchant-position-duplicate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cool.jobmojito.com/functions/v1/merchant-position-duplicate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'position_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'name' => '<string>',
'target_merchant_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'interview_location' => '<string>',
'openings_total' => 5000,
'country' => '<string>',
'interview_available_till' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://cool.jobmojito.com/functions/v1/merchant-position-duplicate"
payload := strings.NewReader("{\n \"position_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"target_merchant_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"interview_location\": \"<string>\",\n \"openings_total\": 5000,\n \"country\": \"<string>\",\n \"interview_available_till\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://cool.jobmojito.com/functions/v1/merchant-position-duplicate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"position_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"target_merchant_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"interview_location\": \"<string>\",\n \"openings_total\": 5000,\n \"country\": \"<string>\",\n \"interview_available_till\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://cool.jobmojito.com/functions/v1/merchant-position-duplicate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"position_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"target_merchant_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"interview_location\": \"<string>\",\n \"openings_total\": 5000,\n \"country\": \"<string>\",\n \"interview_available_till\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"position_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_position_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "Field is required.",
"name": "interview_result_id"
}{
"error": "Field is required.",
"name": "interview_result_id"
}{
"error": "Field is required.",
"name": "interview_result_id"
}{
"error": "Field is required.",
"name": "interview_result_id"
}{
"error": "Field is required.",
"name": "interview_result_id"
}Copy a position
Copies a position as a new draft: its settings, its process (steps with their settings; AI interviews with their questions; the pre-screening), not its candidates. Optionally with another name, location, openings, country or closing date. Sends no e-mail and publishes nothing. Needs the position_bulk_create feature. Owners and recruiters on the position’s access list; hiring managers read only.
curl --request POST \
--url https://cool.jobmojito.com/functions/v1/merchant-position-duplicate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"position_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"target_merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"interview_location": "<string>",
"openings_total": 5000,
"country": "<string>",
"interview_available_till": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://cool.jobmojito.com/functions/v1/merchant-position-duplicate"
payload = {
"position_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"target_merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"interview_location": "<string>",
"openings_total": 5000,
"country": "<string>",
"interview_available_till": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
position_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
target_merchant_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
interview_location: '<string>',
openings_total: 5000,
country: '<string>',
interview_available_till: '2023-11-07T05:31:56Z'
})
};
fetch('https://cool.jobmojito.com/functions/v1/merchant-position-duplicate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cool.jobmojito.com/functions/v1/merchant-position-duplicate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'position_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'name' => '<string>',
'target_merchant_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'interview_location' => '<string>',
'openings_total' => 5000,
'country' => '<string>',
'interview_available_till' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://cool.jobmojito.com/functions/v1/merchant-position-duplicate"
payload := strings.NewReader("{\n \"position_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"target_merchant_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"interview_location\": \"<string>\",\n \"openings_total\": 5000,\n \"country\": \"<string>\",\n \"interview_available_till\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://cool.jobmojito.com/functions/v1/merchant-position-duplicate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"position_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"target_merchant_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"interview_location\": \"<string>\",\n \"openings_total\": 5000,\n \"country\": \"<string>\",\n \"interview_available_till\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://cool.jobmojito.com/functions/v1/merchant-position-duplicate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"position_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"target_merchant_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"interview_location\": \"<string>\",\n \"openings_total\": 5000,\n \"country\": \"<string>\",\n \"interview_available_till\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"position_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_position_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "Field is required.",
"name": "interview_result_id"
}{
"error": "Field is required.",
"name": "interview_result_id"
}{
"error": "Field is required.",
"name": "interview_result_id"
}{
"error": "Field is required.",
"name": "interview_result_id"
}{
"error": "Field is required.",
"name": "interview_result_id"
}Authorizations
Supabase JWT — Authorization: Bearer <token>.
Body
The position to copy (position_def_set.id).
Name of the copy. Default: the name with " (copy)".
1 - 300Copy into another company you manage (admins and sub-merchant operators only; other callers always copy into their own company). Default: the position's company.
Location of the copy. Default: the original's.
1 - 300Openings of the copy; null = not set. Default: the original's.
1 <= x <= 10000Country of the copy (ISO code): candidates from that country only, and the pre-screening's position country. Default: the original's.
^[A-Za-z]{2}$When applications close; null = open. Default: the original's.